#ifndef TESTCONFIG
#define TESTCONFIG

#include <iostream>
#include <map>
#include <string>
#include <stdio.h>

using namespace std;
#define XSDK_HANDLE int

class CTestConfig
{
public:
	CTestConfig();
	virtual ~CTestConfig();

	//系统类配置
	virtual int SysDevConfig(XSDK_HANDLE hDevice, int nSeq, int nTimeout, char *pConfig, int nConfigLen)=0;
	
	//通道类配置
	virtual int ChnDevConfig(XSDK_HANDLE hDevice, int nChannelNo, int nSeq, int nTimeout, const char *pConfig, int nConfigLen)=0;

public:
	//获取到的JSON数据
	static int GetJsonData(int nMsgId, int nResult, const char *szCfgName, const char *szResult, int nResultLen, int nSeq);

//public:
//	std::map<int, string> m_JsonData;
};

#endif